<?xml version="1.0" encoding="US-ASCII"?>
<!--
     $Id: CraneUBLCodexTable.xsl,v 1.4 2006/11/08 06:08:06 G. Ken Holman Exp $

 Copyright (C) - Crane Softwrights Ltd.
               - http://www.CraneSoftwrights.com/links/res-dev.htm
 
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 
 - Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.
 - Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.
 - The name of the author may not be used to endorse or promote products
   derived from this software without specific prior written permission.
 
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
 NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 Note: for your reference, the above is the "Modified BSD license", this text
     was obtained 2003-07-26 at http://www.xfree86.org/3.3.6/COPYRIGHT2.html#5
-->
<!DOCTYPE xsl:stylesheet
[
  <!ENTITY nbsp "&#xa0;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:variable name="showEndRows" select="true()"/>

<xsl:template match="/">
  <!--initialize the presentation of the information-->
  <html>
    <head>
      <title>Crane UBL Codex - Tabular presentation</title>
      <link href="CraneUBLCodexTable.css" type="text/css" rel="stylesheet"/>
    </head>
    <body>
      <!--put everything in one table-->
      <table summary="Crane UBL Codex - Tabular presentation" 
             class="codex-table">
        <tr>
          <!--column headers-->
          <td>ABIE</td>
          <td>BBIE</td>
          <td>Attribute</td>
          <td>Value</td>
          <td>Note</td>
        </tr>
        <!--table contents-->
        <xsl:apply-templates/>
      </table>
    </body>
  </html>
</xsl:template>

<!--ABIE elements-->
<xsl:template match="*[contains(namespace-uri(.),'CommonAggregateComponents')]
                     | /*">
  <tr class="row-abie-start">
    <td class="col-abie-name">
      <p><xsl:value-of select="local-name(.)"/></p>
    </td>
    <td class="col-abie-bbie">
      <p></p>
    </td>
    <td class="col-abie-attribute">
      <p></p>
    </td>
    <td class="col-abie-value">
      <p></p>
    </td>
    <td class="col-abie-note">
      <p></p>
    </td>
  </tr>
  <xsl:apply-templates select="@* | *"/>
  <xsl:if test="$showEndRows">
    <tr class="row-abie-end">
      <td class="col-abie-name">
        <p>/<xsl:value-of select="local-name(.)"/></p>
      </td>
      <td class="col-abie-bbie">
        <p></p>
      </td>
      <td class="col-abie-attribute">
        <p></p>
      </td>
      <td class="col-abie-value">
        <p></p>
      </td>
      <td class="col-abie-note">
        <p></p>
      </td>
    </tr>
  </xsl:if>
</xsl:template>

<!--BBIE elements-->
<xsl:template match="*[contains(namespace-uri(.),'CommonBasicComponents')]">
  <tr class="row-bbie">
    <td class="col-bbie-abie">
      <p></p>
    </td>
    <td class="col-bbie-name">
      <p><xsl:value-of select="local-name(.)"/></p>
    </td>
    <td class="col-abie-attribute">
      <p></p>
    </td>
    <td class="col-bbie-value">
      <p><xsl:apply-templates mode="value"/></p>
    </td>
    <td class="col-bbie-note">
      <p></p>
    </td>
  </tr>
  <xsl:apply-templates select="@*"/>
</xsl:template>

<!--attributes-->
<xsl:template match="@*">
  <tr class="row-bbie">
    <td class="col-bbie-abie">
      <p></p>
    </td>
    <td class="col-bbie-name">
      <p></p>
    </td>
    <td class="col-abie-attribute">
      <p><xsl:value-of select="local-name(.)"/></p>
    </td>
    <td class="col-bbie-value">
      <p><xsl:value-of select="."/></p>
    </td>
    <td class="col-bbie-note">
      <p></p>
    </td>
  </tr>
  <xsl:apply-templates select="@*"/>
</xsl:template>

</xsl:stylesheet>